package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.List;

public class ThreeSixtyImageList implements Serializable

{

//    "id": "1",
//            "model_id": "1",
//            "color_code": "#0000FF",
//            "name": "Blue",
//            "position": "1",
//            "is_deleted": "0",

    @SerializedName("id")
    @Expose
    private String id;

    @SerializedName("model_id")
    @Expose
    private String model_id;

    @SerializedName("color_code")
    @Expose
    private String color_code;

    @SerializedName("name")
    @Expose
    private String name;

    @SerializedName("position")
    @Expose
    private String position;

    @SerializedName("is_deleted")
    @Expose
    private String is_deleted;

    @SerializedName("version")
    @Expose
    private String version;
    @SerializedName("zip")
    @Expose
    private String zip;
    @SerializedName("imagelist")
    @Expose
    private List<ThreeSixtyImageDataList> imagelist = null;
    private final static long serialVersionUID = -4296503038565243544L;

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getZip() {
        return zip;
    }

    public void setZip(String zip) {
        this.zip = zip;
    }

    public List<ThreeSixtyImageDataList> getImagelist() {
        return imagelist;
    }

    public void setImagelist(List<ThreeSixtyImageDataList> imagelist) {
        this.imagelist = imagelist;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getModel_id() {
        return model_id;
    }

    public void setModel_id(String model_id) {
        this.model_id = model_id;
    }

    public String getColor_code() {
        return color_code;
    }

    public void setColor_code(String color_code) {
        this.color_code = color_code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getIs_deleted() {
        return is_deleted;
    }

    public void setIs_deleted(String is_deleted) {
        this.is_deleted = is_deleted;
    }
}